{{- if and .Values.metrics.enabled .Values.metrics.serviceMonitor.enabled }}
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ include "dgh.webName" . }}
  labels:
    {{- include "dgh.standardLabels" . | nindent 4 }}
spec:
  selector:
    matchLabels:
      {{- include "dgh.selectorLabels" . | nindent 6 }}
      component: metrics
  namespaceSelector:
    matchNames:
      - {{ .Release.Namespace }}
  endpoints:
    - port: metrics
      interval: {{ .Values.metrics.serviceMonitor.interval }}
{{- end}}